pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/pkgtools/pkg_rolling-replace Separate 'make clean' fro...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/3e5e4edffd00
branches:  trunk
changeset: 540166:3e5e4edffd00
user:      gdt <gdt%pkgsrc.org@localhost>
date:      Mon Mar 31 11:41:09 2008 +0000

description:
Separate 'make clean' from 'make package', so that clean is not
skipped with -r.  DISTNAME++.  Fixes PR pkg/38283.

Reviewed and tested by tnn@.

diffstat:

 pkgtools/pkg_rolling-replace/Makefile                     |   4 ++--
 pkgtools/pkg_rolling-replace/files/pkg_rolling-replace.sh |  10 ++++++++--
 2 files changed, 10 insertions(+), 4 deletions(-)

diffs (47 lines):

diff -r d753bd8e216f -r 3e5e4edffd00 pkgtools/pkg_rolling-replace/Makefile
--- a/pkgtools/pkg_rolling-replace/Makefile     Mon Mar 31 07:53:14 2008 +0000
+++ b/pkgtools/pkg_rolling-replace/Makefile     Mon Mar 31 11:41:09 2008 +0000
@@ -1,6 +1,6 @@
-# $NetBSD: Makefile,v 1.17 2008/02/17 10:47:47 apb Exp $
+# $NetBSD: Makefile,v 1.18 2008/03/31 11:41:09 gdt Exp $
 
-DISTNAME=      pkg_rolling-replace-0.14
+DISTNAME=      pkg_rolling-replace-0.15
 CATEGORIES=    pkgtools
 MASTER_SITES=  # empty
 DISTFILES=     # empty
diff -r d753bd8e216f -r 3e5e4edffd00 pkgtools/pkg_rolling-replace/files/pkg_rolling-replace.sh
--- a/pkgtools/pkg_rolling-replace/files/pkg_rolling-replace.sh Mon Mar 31 07:53:14 2008 +0000
+++ b/pkgtools/pkg_rolling-replace/files/pkg_rolling-replace.sh Mon Mar 31 11:41:09 2008 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $NetBSD: pkg_rolling-replace.sh,v 1.17 2008/02/17 10:47:47 apb Exp $
+# $NetBSD: pkg_rolling-replace.sh,v 1.18 2008/03/31 11:41:09 gdt Exp $
 #<license>
 # Copyright (c) 2006 BBN Technologies Corp.  All rights reserved.
 #
@@ -399,9 +399,10 @@
        [ -z "$(${PKG_INFO} -Q rebuild $pkg)" ] || \
            abort "package $pkg is still requested to be rebuilt."
     fi
+    # If -r not given, make a binary package.
     if [ -z "$opt_r" ]; then
        echo "${OPI} Packaging $(${PKG_INFO} -e $pkg)"
-           cmd="${MAKE} package && ${MAKE} clean || fail=1"
+           cmd="${MAKE} package || fail=1"
        if [ -n "$opt_n" ]; then
            echo "${OPI} Would run: $cmd"
        else
@@ -409,6 +410,11 @@
            [ -z "$fail" ] || abort "'make package' failed for package $pkg."
        fi
     fi
+    # Clean
+    if [ -z "$opt_n" ]; then
+       ${MAKE} clean || abort "'make clean' failed for package $pkg."
+    fi
+
     sleep 1
 
     # remove just-replaced package from all *_TODO lists



Home | Main Index | Thread Index | Old Index